RagTime5Layout Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Layout Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Layout.hxx>`

## Public Member Functions
| RagTime5Layout (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Layout ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
shared_ptr< RagTime5ClusterManager::Cluster > | readLayoutCluster (RagTime5Zone &zone, int zoneType)
| try to read a layout cluster More...
void | updateLayouts ()
| update all internal data: list of master layout, ... More...
void | updateLayout (RagTime5LayoutInternal::ClusterLayout &layout)
| check that a layout is valid, ... More...
bool | sendPageContents ()
| try to send the page content corresponding to the layout More...
bool | send (RagTime5LayoutInternal::ClusterLayout &cluster, MWAWListenerPtr listener, int page)
| try to send the cluster zone More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5LayoutInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Layout (RagTime5Layout const &orig)
RagTime5Layout & | operator= (RagTime5Layout const &orig)

## Friends
class | RagTime5Parser

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Layout() [1/2]

RagTime5Layout::RagTime5Layout | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

## ◆ ~RagTime5Layout()

RagTime5Layout::~RagTime5Layout | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Layout() [2/2]

RagTime5Layout::RagTime5Layout | ( | RagTime5Layout const & | orig | ) |
| private

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Layout::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int RagTime5Layout::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

RagTime5Layout& RagTime5Layout::operator= | ( | RagTime5Layout const & | orig | ) |
| private

## ◆ readLayoutCluster()

shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Layout::readLayoutCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a layout cluster

## ◆ send()

bool RagTime5Layout::send | ( | RagTime5LayoutInternal::ClusterLayout & | cluster,
|  | MWAWListenerPtr | listener,
|  | int | page
| ) |  |
| protected

try to send the cluster zone

## ◆ sendPageContents()

bool RagTime5Layout::sendPageContents | ( |  | ) |
| protected

try to send the page content corresponding to the layout

## ◆ updateLayout()

void RagTime5Layout::updateLayout | ( | RagTime5LayoutInternal::ClusterLayout & | layout | ) |
| protected

check that a layout is valid, ...

Referenced by updateLayouts().

## ◆ updateLayouts()

void RagTime5Layout::updateLayouts | ( |  | ) |
| protected

update all internal data: list of master layout, ...

Referenced by numPages().

## ◆ version()

int RagTime5Layout::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5Parser

friend class RagTime5Parser
| friend

## Member Data Documentation

## ◆ m_mainParser

RagTime5Parser& RagTime5Layout::m_mainParser
| protected

the parser

Referenced by readLayoutCluster(), sendPageContents(), and updateLayout().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Layout::m_parserState
| protected

the parser state

Referenced by send(), and version().

## ◆ m_state

shared_ptr<RagTime5LayoutInternal::State> RagTime5Layout::m_state
| protected

the state

Referenced by numPages(), readLayoutCluster(), sendPageContents(), updateLayout(), and updateLayouts().

## ◆ m_structManager

shared_ptr<RagTime5StructManager> RagTime5Layout::m_structManager
| protected

the structure manager

The documentation for this class was generated from the following files:

- RagTime5Layout.hxx
- RagTime5Layout.cxx